www.cendio.com
Bug 5213 - Traceback when trying to terminating already dead session
: Traceback when trying to terminating already dead session
Status: CLOSED FIXED
: ThinLinc
Web Administration
: 4.2.0
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-07-24 13:52 by
Modified: 2014-10-06 16:22 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-07-24 13:52:09
How to reproduce:

1. Start a ThinLinc session
2. View sessions in tlwebadm (Status -> Sessions)
3. Log out from ThinLinc session
4. Terminate session in tlwebadm without reloading.

tlwebadm tracebacks and gives an ugly error message:

> Error response
> Error code 500.
> Message: Internal error on page '/status/sessions'.
> Error code explanation: 500 = Server got itself in trouble.

The log file states:

> 2014-07-24 13:46:58 ERROR tlwebadm[6107]: code 500, message Internal error on page '/status/sessions'
> 2014-07-24 13:46:58 INFO tlwebadm[6107]: 'POST /status/sessions HTTP/1.1' 500 -
> 2014-07-24 13:46:58 ERROR tlwebadm[6107]: ----------------------------------------
> 2014-07-24 13:46:58 ERROR tlwebadm[6107]: Traceback (most recent call last):
> 2014-07-24 13:46:58 ERROR tlwebadm[6107]:   File "/opt/thinlinc/sbin/tlwebadm", line 269, in post_or_get
> 2014-07-24 13:46:58 ERROR tlwebadm[6107]:     IIIIii , OOooOO000 = getattr ( O0OOO , action ) ( iIIi1i1 , I1I1IiI1 , IIIIii )
> 2014-07-24 13:46:58 ERROR tlwebadm[6107]:   File "/opt/thinlinc/modules/thinlinc/tlwebadm/main.py", line 124, in do_POST
> 2014-07-24 13:46:58 ERROR tlwebadm[6107]:     self . _POST_METHODS . get ( page_name , self . error_404 ) ( query ) )
> 2014-07-24 13:46:58 ERROR tlwebadm[6107]:   File "/opt/thinlinc/modules/thinlinc/tlwebadm/status.py", line 87, in sessions
> 2014-07-24 13:46:58 ERROR tlwebadm[6107]:     query [ 'details' ] [ 0 ] )
> 2014-07-24 13:46:58 ERROR tlwebadm[6107]:   File "/opt/thinlinc/modules/thinlinc/tlwebadm/status.py", line 190, in terminate
> 2014-07-24 13:46:58 ERROR tlwebadm[6107]:     OO = sessions [ username ]
> 2014-07-24 13:46:58 ERROR tlwebadm[6107]: KeyError: 'derfian'
> 2014-07-24 13:46:58 ERROR tlwebadm[6107]: ----------------------------------------
------- Comment #1 From cendio 2014-07-25 10:30:27 -------
Fixed in r29220.
------- Comment #3 From cendio 2014-09-24 15:47:30 -------
Tested using ThinLinc server build 4497, works as expected.